apiVersion: v1
kind: Secret
metadata:
{% if jenkins_credential_type is defined or tekton_repo | default(False) %}
  annotations:
{% if jenkins_credential_type is defined %}
    jenkins.io/credentials-description : Jenkins Secret - {{ jenkins_credential_type }}/{{ secret_name }}
{% endif %}
{% if tekton_repo | default(False) %}
{% if tekton_repo is regex('http') %}
    tekton.dev/git-0: {{ tekton_repo }}
{% elif (tekton_ssh_port | default(22)) in [ False, 22, '22' ] %}
    tekton.dev/git-0: {{ tekton_repo }}
{% else %}
    tekton.dev/git-0: {{ tekton_repo }}:{{ tekton_ssh_port }}
{% endif %}
{% endif %}
{% endif %}
{% if jenkins_credential_type is defined %}
  labels:
    jenkins.io/credentials-type: {{ jenkins_credential_type }}
{% endif %}
  name: {{ secret_name }}
  namespace: {{ namespace }}
stringData:
{% if (not (secret_real is string)) or (secret_real is string and (secret_real is regex('\n'))) %}
  {{ secret_key }}: |
{{ (secret_real | default('secret')) | indent(4, True) }}
{% elif secret_real is regex('"') %}
  {{ secret_key }}: "{{ secret_real | replace('"', "'") }}"
{% else %}
  {{ secret_key }}: "{{ secret_real }}"
{% endif %}
{% if secret_type | default(False) %}
type: {{ secret_type }}
{% endif %}
